> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.modbox.run/llms.txt.
> For full documentation content, see https://docs.modbox.run/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.modbox.run/_mcp/server.

# Update Sandbox Image

PUT https://api.modbox.run/sandbox-images/{image_id}
Content-Type: application/json

Update a sandbox image.

Reference: https://docs.modbox.run/api-reference/modbox-api/update-sandbox-image

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: open-api
  version: 1.0.0
paths:
  /sandbox-images/{image_id}:
    put:
      operationId: update-sandbox-image
      summary: Update Sandbox Image
      description: Update a sandbox image.
      tags:
        - ''
      parameters:
        - name: image_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxImageDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SandboxImageUpdate'
servers:
  - url: https://api.modbox.run
components:
  schemas:
    SandboxImageUpdate:
      type: object
      properties:
        description:
          type:
            - string
            - 'null'
        enabled:
          type:
            - boolean
            - 'null'
        image:
          type:
            - string
            - 'null'
        is_default:
          type:
            - boolean
            - 'null'
        memory_mb:
          type:
            - integer
            - 'null'
        name:
          type:
            - string
            - 'null'
        readiness_port:
          type:
            - integer
            - 'null'
        registry_id:
          type:
            - string
            - 'null'
          format: uuid
        tag:
          type:
            - string
            - 'null'
        ttl_seconds:
          type:
            - integer
            - 'null'
      description: Request body for updating an image (all fields optional).
      title: SandboxImageUpdate
    SandboxImageDetail:
      type: object
      properties:
        created_at:
          type: string
          format: date-time
        description:
          type:
            - string
            - 'null'
        enabled:
          type: boolean
        id:
          type: string
          format: uuid
        image:
          type: string
        is_default:
          type: boolean
        memory_mb:
          type: integer
        name:
          type: string
        readiness_port:
          type:
            - integer
            - 'null'
        registry_id:
          type:
            - string
            - 'null'
          format: uuid
        registry_name:
          type:
            - string
            - 'null'
        tag:
          type: string
        ttl_seconds:
          type:
            - integer
            - 'null'
        updated_at:
          type: string
          format: date-time
        workspace_id:
          type:
            - string
            - 'null'
          format: uuid
      required:
        - created_at
        - description
        - enabled
        - id
        - image
        - is_default
        - memory_mb
        - name
        - tag
        - updated_at
      description: Full image representation returned from the API.
      title: SandboxImageDetail
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```typescript
import { ModboxOpenApiClient } from "modbox-sdk";

async function main() {
    const client = new ModboxOpenApiClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.updateSandboxImage("image_id", {});
}
main();

```

```python
from modbox import ModboxOpenApi

client = ModboxOpenApi(
    token="YOUR_TOKEN_HERE",
)

client.update_sandbox_image(
    image_id="image_id",
)

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.modbox.run/sandbox-images/image_id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.modbox.run/sandbox-images/image_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.modbox.run/sandbox-images/image_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.modbox.run/sandbox-images/image_id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.modbox.run/sandbox-images/image_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.modbox.run/sandbox-images/image_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```